> For the complete documentation index, see [llms.txt](https://docs.cspr.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cspr.cloud/1.3.x/rest-api/transfer/get-account-transfers.md).

# Get account transfers

Get all account sent and received transfers by the account identifier (public key or account hash).

```
GET /accounts/{account_identifier}/transfers
```

## Query params

| Query param         | Description             |
| ------------------- | ----------------------- |
| `from_block_height` | From block height range |
| `to_block_height`   | To block height range   |

## Sorting

| Property    | Description                 |
| ----------- | --------------------------- |
| `timestamp` | Sort transfers by timestamp |

Default sorting is `timestamp DESC`

## Optional properties

| Property                              | Type                                                                    | Description                                                                                                                                            |
| ------------------------------------- | ----------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `initiator_public_key`                | `string(68)`                                                            | Initiator public key represented as a hexademical string                                                                                               |
| `to_public_key`                       | `string(68)`                                                            | Transfer recipient public key represented as a hexademical string                                                                                      |
| `from_purse_public_key`               | `string(68)`                                                            | Public key of the account that owns the transfer source purse represented as a hexademical string. null when the sender purse is not own by an account |
| `to_purse_public_key`                 | `string(68)`                                                            | Public key of the account that owns the transfer target purse represented as a hexademical string. null when the target purse is not own by an account |
| `to_account_info`                     | [`AccountInfo`](/1.3.x/rest-api/account-info.md)                        | Transfer recipient account info                                                                                                                        |
| `to_centralized_account_info`         | [`CentralizedAccountInfo`](/1.3.x/rest-api/centralized-account-info.md) | Transfer recipient centralized account info                                                                                                            |
| `from_purse_account_info`             | [`AccountInfo`](/1.3.x/rest-api/account-info.md)                        | Account info of the account that owns the transfer source purse. null when the sender purse is not own by an account                                   |
| `from_purse_centralized_account_info` | [`CentralizedAccountInfo`](/1.3.x/rest-api/centralized-account-info.md) | Centralized account info of the account that owns the transfer source purse. null when the sender purse is not own by an account                       |
| `to_purse_account_info`               | [`AccountInfo`](/1.3.x/rest-api/account-info.md)                        | Account info of the account that owns the transfer target purse. null when the target purse is not own by an account                                   |
| `to_purse_centralized_account_info`   | [`CentralizedAccountInfo`](/1.3.x/rest-api/centralized-account-info.md) | Centralized account info of the account that owns the transfer target purse. null when the target purse is not own by an account                       |
| `initiator_public_key`                | `string(68)`                                                            | Deploy caller public key represented as a hexadecimal string                                                                                           |
| `rate`                                | `float32`                                                               | CSPR rate for specified currency that was relevant at the moment of deploy creation                                                                    |
| `deploy`                              | [`Deploy`](/1.3.x/rest-api/deploy.md)                                   | Transfer Deploy                                                                                                                                        |
| `to_cspr_name`                        | `string`                                                                | Primary CSPR.name of the recipient account account                                                                                                     |

## Response

[`PaginatedResponse`](/1.3.x/documentation/overview/pagination.md)[`<Transfer>`](/1.3.x/rest-api/transfer.md)

## Example

```bash
curl -X 'GET' \
  'https://api.testnet.cspr.cloud/accounts/89031c78692f2836b52f06819b617cd72365a0fb49bb39f9cbb11c3311205c1d/transfers' \
  -H 'accept: application/json' \
  -H 'authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'
```

```json
{
  "data": [
    {
      "amount": "1000000000000",
      "deploy_hash": "0018c062828ec919ba86d4b167b9ee57d6b24d83e8548726471bcb832c0e90e4",
      "from_purse": "uref-b5de6955c1e0551d72467c72e73076beff04d3fea8c6a24d8fc5840bcb6a6039-007",
      "id": 0,
      "initiator_account_hash": "4ea2e038e30fcc11a78334eae763a4b1f73ee3797f8c4405fc0d977714291e32",
      "timestamp": "2023-04-09T08:51:56Z",
      "to_account_hash": "23ef3fe9cdefd55d51810ff60df7d385a342f925a8424b43203d38aed893a76e",
      "to_purse": "uref-fff32f8f440b84ff2ee615aee2a40f356b45d7414463bdda59c9c4254c456d16-004",
      "transform_key": "95fe1826b75027c83d31a6a0785d336a67f79a9c7d8e0e07b44f7bcb3e2218dd"
    },
    {
      "amount": "500000000000",
      "deploy_hash": "019d596a83db24788f75cb4ef0274995097526d143920a1788ca50fa75c2d971",
      "from_purse": "uref-fff32f8f440b84ff2ee615aee2a40f356b45d7414463bdda59c9c4254c456d16-007",
      "id": null,
      "initiator_account_hash": "23ef3fe9cdefd55d51810ff60df7d385a342f925a8424b43203d38aed893a76e",
      "timestamp": "2023-08-16T09:48:13Z",
      "to_account_hash": "6174cf2e6f8fed1715c9a3bace9c50bfe572eecb763b0ed3f644532616452008",
      "to_purse": "uref-5f41f9dd2d0a71b6d44b4bedbdc14e32598df6ef993d312a703d9e82bc075398-007",
      "transform_key": "b51504861952c6c30191bfe2f94d0e78e8cc8ab12b4ae5457cf0508371d49d8c"
    },
    ...
    {
      "amount": "10000000000",
      "deploy_hash": "08602742e418b97a65f98482ff0ea6485e873e3b44c588fca9578e631a424dba",
      "from_purse": "uref-fff32f8f440b84ff2ee615aee2a40f356b45d7414463bdda59c9c4254c456d16-007",
      "id": 810,
      "initiator_account_hash": "23ef3fe9cdefd55d51810ff60df7d385a342f925a8424b43203d38aed893a76e",
      "timestamp": "2023-11-23T08:18:14Z",
      "to_account_hash": null,
      "to_purse": "uref-7fc52ca619eb1e50a8df0f71ab67fd1c4ec68e3446c274302a3c1c5e78a5634f-004",
      "transform_key": "172b27d6a8d98aeb055c89f25d940b47ceece8902a65b753a660aab55e70ec1d"
    }
  ],
  "item_count": 395,
  "page_count": 40
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cspr.cloud/1.3.x/rest-api/transfer/get-account-transfers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
